- block:

  - name: Download background file
    copy:
      src: "{{ zoox_machine_role }}.jpg"
      dest: /home/zoox/Pictures/desktop.jpg
      owner: zoox
      group: zoox

  - set_fact:
      background_wallpaper_path: /usr/share/backgrounds/background.jpg

  - name: Set up link to background file
    file:
      path: "{{ background_wallpaper_path }}"
      src: /home/zoox/Pictures/desktop.jpg
      state: link
      force: yes
      owner: zoox
      group: zoox

  # While it's safe to apply this configuration during a live update,
  # the changes won't take affect until the next boot (or until the next time D-Bus launches)
  - name: Configure desktop
    script: "configure_desktop.sh {{ background_wallpaper_path }}"
    args:
      executable: bash

  become: yes
